WordPress.org

Make WordPress Core

Changeset 17629


Ignore:
Timestamp:
04/11/11 18:51:52 (4 years ago)
Author:
ryan
Message:

E_RECOVERABLE_ERROR is always available in PHP 5.2+. Remove back compat code. Props hakre. see #16920

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-load.php

    r16099 r17629  
    2020define( 'ABSPATH', dirname(__FILE__) . '/' ); 
    2121 
    22 if ( defined('E_RECOVERABLE_ERROR') ) 
    23     error_reporting(E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING | E_RECOVERABLE_ERROR); 
    24 else 
    25     error_reporting(E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING); 
     22error_reporting( E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING | E_RECOVERABLE_ERROR ); 
    2623 
    2724if ( file_exists( ABSPATH . 'wp-config.php') ) { 
Note: See TracChangeset for help on using the changeset viewer.